group "CommodityUSCoalDelivery.model"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | 3 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
quantityVariationAdjustment?, transportationEquipment?, risk?

Content Model Elements (3):

  quantityVariationAdjustment, risk (in deliveryConditions in coalPhysicalLeg), | transportationEquipment

Known Usage Locations

- In definitions of global complexTypes (1):
  CoalDelivery

Annotation
Items specific to the definition of the delivery of a US Coal Product.
XML Source (w/o annotations (4); see within schema source)

<xsd:group name="CommodityUSCoalDelivery.model"> <xsd:sequence> <xsd:element minOccurs="0" name="quantityVariationAdjustment" type="xsd:boolean"/> <xsd:element minOccurs="0" name="transportationEquipment" type="CoalTransportationEquipment"/> <xsd:element minOccurs="0" name="risk" type="CommodityDeliveryRisk"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
quantityVariationAdjustment

  Type: | xsd:boolean, predefined, simple content

  If true, indicates that QVA is applicable. If false, indicates that QVA is inapplicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="quantityVariationAdjustment" type="xsd:boolean"/>

risk

  Type: | CommodityDeliveryRisk, simple content

  Specifies how the risk associated with the delivery is assigned.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="risk" type="CommodityDeliveryRisk"/>

transportationEquipment

  Type: | CoalTransportationEquipment, simple content

  The transportation equipment with which the Coal Product will be delivered and received.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="transportationEquipment" type="CoalTransportationEquipment"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.